net.sf.okapi.common.annotation

## Enum XLIFFNote.Priority

- java.lang.Object
- - java.lang.Enum<XLIFFNote.Priority>
  - - net.sf.okapi.common.annotation.XLIFFNote.Priority

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XLIFFNote.Priority>
  Enclosing class:
    XLIFFNote

      public static enum XLIFFNote.Priority
      extends java.lang.Enum<XLIFFNote.Priority>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EIGHT`
    `FIVE`
    `FOUR`
    `NINE`
    `ONE`
    `SEVEN`
    `SIX`
    `TEN`
    `THREE`
    `TWO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XLIFFNote.Priority` | `fromInt(int value)`
    `java.lang.String` | `toString()`
    `int` | `value()`
    `static XLIFFNote.Priority` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XLIFFNote.Priority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE

          public static final XLIFFNote.Priority ONE

    - #### TWO

          public static final XLIFFNote.Priority TWO

    - #### THREE

          public static final XLIFFNote.Priority THREE

    - #### FOUR

          public static final XLIFFNote.Priority FOUR

    - #### FIVE

          public static final XLIFFNote.Priority FIVE

    - #### SIX

          public static final XLIFFNote.Priority SIX

    - #### SEVEN

          public static final XLIFFNote.Priority SEVEN

    - #### EIGHT

          public static final XLIFFNote.Priority EIGHT

    - #### NINE

          public static final XLIFFNote.Priority NINE

    - #### TEN

          public static final XLIFFNote.Priority TEN

  - ### Method Detail

    - #### values

          public static XLIFFNote.Priority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XLIFFNote.Priority c : XLIFFNote.Priority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XLIFFNote.Priority valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public int value()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<XLIFFNote.Priority>`

    - #### fromInt

          public static XLIFFNote.Priority fromInt(int value)